

public class Document{
    private int id;
    private String titre;
    private boolean empruntable;
    private boolean estEmprunte;

    public Document(int i, String titre, boolean empruntable){
	this.id = i;
	this.titre = titre;
	this.empruntable = empruntable;
	this.estEmprunte = false;
    }
    
    
    public String toString(){
	return ("id : " + id + " titre : " + titre + " eumpruntable : " 
		+ empruntable + " estEmprunte : " + estEmprunte);
    }
    
    public boolean empruntable(){
	return this.empruntable;
    }

    private boolean estEmprunte(){
	return this.estEmprunte;
    }
    
    
    public boolean emprunter(){
	if(this.empruntable() && !this.estEmprunte()){
	    this.estEmprunte = true;
	    return true;
	}
	else{
	    return false;
	}
    }

    public String getType(){
	return "Document";
    }

}

